syms t
h=t^4-t^2;
a0=1/(2*pi)*int(h,t,-pi,pi);
for k=1:10
    a(k)=1/pi*int(h*cos(k*t),t,-pi,pi);
end
F10=a0;
for k=1:10
   F10=F10+a(k)*cos(k*t);
end
fplot(h,[-pi,pi]);
grid on;
hold on;
fplot(F10,[-pi,pi]);
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
xlabel('t');
ylabel('y');
legend('h','F10');
title('Grafovi funkcija h i F10');
